w := A_ScreenWidth		; for convenience 
h := A_ScreenHeight		; for convenience 
astros_n := 0			; number of clicks on astros, useful because max 18 astrals can be stored in the "left" space

!a::	; hotkey "Alt A" (A for Astrals)
loop {

	; as the continue skip the rest of the loop and continue to the beginning of the loop, the increment and delay must be at the beginning

	; number of clicks on astros
	astros_n++	; there will be a future click

	; maximum 18 astrals can be stored in the "left" space
	if (astros_n >= 16) {
		ImageSearch, x, y, 1, 1, w, h, synthese_en_1_click.bmp
		Mouseclick,, x + 32, y + 8,,0
		astros_n := 0	; reset the counter on astros click
	}

	; delay after each click on astros
	sleep, 500	; two seconds

	; The second astro must be highlighted
	ImageSearch,  x, y, 1, 1,  w, h, 2nd_astro_grayed.bmp
	if (ErrorLevel == 0) {	; has found the grayed icon so it's not highlighted,  we must push the astro before this one
		MouseClick,,x - 70, y + 30,,0
		continue
	}

	; The third astro must be highlighted
	ImageSearch,  x, y, 1, 1,  w, h, 3rd_astro_grayed.bmp
	if (ErrorLevel == 0) {	; has found the grayed icon so it's not highlighted,  we ...
		MouseClick,,x - 70, y + 30,,0
		continue
	}

	; The fourth astro must be highlighted
	ImageSearch,  x, y, 1, 1,  w, h, 4th_astro_grayed.bmp
	if (ErrorLevel == 0) {	; has found the grayed icon so it's not highlighted,  we ...
		MouseClick,,x - 70, y + 30,,0
		continue
	}

	; The fifth astro must be highlighted
	ImageSearch,  x, y, 1, 1,  w, h, 5th_astro_grayed.bmp
	if (ErrorLevel == 0) {	; has found the grayed icon so it's not highlighted,  we ...
		MouseClick,,x - 70, y + 30,,0
		continue
	}

	; Click on the last astro because all previous one are highlighted
	ImageSearch, x, y, 1, 1, w, h, 6th_astro_landmark.bmp
	MouseClick,,x-64 ,y-32 ,,0
}
return

!s::reload
^SPACE::  Winset, Alwaysontop, , A